%define pypi_name pelican

Name:           pelican
Version:        3.3
Release:        %mkrel 3
Group:          Development/Python
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files

License:        AGPLv3
URL:            http://getpelican.com
Source0:        https://pypi.python.org/packages/source/p/pelican/pelican-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Pelican is a static site generator, written in Python.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere

%package -n     python3-%{pypi_name}
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files


%description -n python3-%{pypi_name}
Pelican is a static site generator, written in Python 3.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pelican %{buildroot}/%{_bindir}/python3-pelican
mv %{buildroot}%{_bindir}/pelican-import %{buildroot}/%{_bindir}/python3-pelican-import
mv %{buildroot}%{_bindir}/pelican-quickstart %{buildroot}/%{_bindir}/python3-pelican-quickstart
mv %{buildroot}%{_bindir}/pelican-themes %{buildroot}/%{_bindir}/python3-pelican-themes
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst 
%{_bindir}/pelican
%{_bindir}/pelican-import
%{_bindir}/pelican-quickstart
%{_bindir}/pelican-themes
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst 
%{_bindir}/python3-pelican
%{_bindir}/python3-pelican-import
%{_bindir}/python3-pelican-quickstart
%{_bindir}/python3-pelican-themes
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.3-3.mga4
+ Revision: 542815
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3-2.mga4
+ Revision: 498035
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 3.3-1.mga4
+ Revision: 492245
- imported package pelican

